package com.example;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

import org.json.JSONObject;

/* Please ignore this client java for now. */
public class TCPClient {

    public static void startClient(String serverAddress, int port) {
        try {
            Socket socket = new Socket(serverAddress, port);
            System.out.println("Connected to server at " + serverAddress + ":" + port);

            BufferedReader input = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            PrintWriter output = new PrintWriter(socket.getOutputStream(), true);

            // Compose the correct NestJS TCP event structure
            JSONObject message = new JSONObject();
            message.put("pattern", "eventTest");

            JSONObject payload = new JSONObject();
            payload.put("message", "Hello from Java client!");

            message.put("data", payload);

            // Send it
            output.println(message.toString());
            System.out.println("Sent to server: " + message);

            // For @EventPattern, no response is expected
            socket.close();
            System.out.println("Connection closed.");
        } catch (IOException e) {
            System.err.println("Client error: " + e.getMessage());
        }
    }
}
